<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="../../templates/main-template.xhtml">

    <ui:define name="content">
        <h:form id="form">
            <h:panelGrid columns="2" cellpadding="5">
                <p:outputLabel value="Name"/>
                <p:inputText value="#{metrikBean.metrik.name}" placeholder="Name"/>

                <p:outputLabel value="Type"/>
                <p:selectOneMenu value="#{metrikBean.metrik.type}" placeholder="Type">
                    <f:selectItems value="#{metrikBean.getMetrikTypes()}" var="type" itemLabel="#{type.label}"/>
                </p:selectOneMenu>
            </h:panelGrid>
            <p:commandButton action="#{metrikBean.saveMetrik()}" styleClass="buttons"
                             icon="fa fa-fw fa-save" ajax="false"
                             value="Save"/>
            <p:linkButton outcome="pretty:viewJob" styleClass="buttons" value="Back"/>
        </h:form>
    </ui:define>

</ui:composition>
